package com.njcn.process.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.process.pojo.param.SupvAlarmBackParam;
import com.njcn.process.pojo.po.SupvAlarmBack;

import java.util.List;

/**
 * <p>
 * 技术监督预告警单反馈数据表 服务类
 * </p>
 *
 * @author wr
 * @since 2023-09-01
 */
public interface ISupvAlarmBackService extends IService<SupvAlarmBack> {


    boolean addAlarmBack(SupvAlarmBackParam.AlarmBackInsert param);

    boolean updateAlarmBack(SupvAlarmBackParam.AlarmBackUpdate param);

    boolean delAlarmBack(List<String> planIds);

    Page<SupvAlarmBack> pageAlarmBack(SupvAlarmBackParam param);

    void downAlarmBack();
}
